### Hierarchy

- SessionOptions

## Index

### Properties

- appPrivateKey
- coreNode
- hubUrl
- identityAddress
- localStorageKey
- storeOptions
- transitKey
- userData
- username

## Properties

### Optional appPrivateKey

appPrivateKey: string

- Defined in auth/sessionData.ts:9

### Optional coreNode

coreNode: string

- Defined in auth/sessionData.ts:12

### Optional hubUrl

hubUrl: string

- Defined in auth/sessionData.ts:13

### Optional identityAddress

identityAddress: string

- Defined in auth/sessionData.ts:11

### Optional localStorageKey

localStorageKey: string

- Defined in auth/sessionData.ts:16

### Optional storeOptions

storeOptions: object

- Defined in auth/sessionData.ts:17

#### Type declaration

- ##### Optional localStorageKey?: string

### Optional transitKey

transitKey: string

- Defined in auth/sessionData.ts:15

### Optional userData

userData: UserData

- Defined in auth/sessionData.ts:14

### Optional username

username: string

- Defined in auth/sessionData.ts:10

Generated using TypeDoc